Package network.protocol

# Interface PacketVisitor

All Known Implementing Classes:
  `ClientConnexion`, `Connexion`, `ServerConnexion`

public interface PacketVisitor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `visit(Packet packet)`
  `void`
  `visitPacket(ChangeCellPacket packet)`
  `void`
  `visitPacket(ConnexionInfoPacket packet)`
  `void`
  `visitPacket(DisconnectPacket packet)`
  `void`
  `visitPacket(EndGamePacket packet)`
  `void`
  `visitPacket(KeepAlivePacket packet)`
  `void`
  `visitPacket(LoginPacket packet)`
  `void`
  `visitPacket(PlayerJoinPacket packet)`
  `void`
  `visitPacket(PlayerLeavePacket packet)`
  `void`
  `visitPacket(StartGamePacket packet)`
  `void`
  `visitPacket(UpdatePlayerScorePacket packet)`

- ## Method Details

  - ### visit

    default void visit(Packet packet)

  - ### visitPacket

    void visitPacket(ConnexionInfoPacket packet)

  - ### visitPacket

    void visitPacket(DisconnectPacket packet)

  - ### visitPacket

    void visitPacket(KeepAlivePacket packet)

  - ### visitPacket

    void visitPacket(LoginPacket packet)

  - ### visitPacket

    void visitPacket(PlayerJoinPacket packet)

  - ### visitPacket

    void visitPacket(PlayerLeavePacket packet)

  - ### visitPacket

    void visitPacket(StartGamePacket packet)

  - ### visitPacket

    void visitPacket(EndGamePacket packet)

  - ### visitPacket

    void visitPacket(UpdatePlayerScorePacket packet)

  - ### visitPacket

    void visitPacket(ChangeCellPacket packet)